Get

get

/fscmRestApi/resources/11.13.18.05/itemStructures/{BillSequenceId}/child/Component/{ComponentSequenceId}/child/WhereUsed/{WhereUsedUniqID}

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
  • This is the hash key of the attributes which make up the composite key for the (WhereUsed) resource and used to uniquely identify an instance of (WhereUsed). The client should not generate the hash key value. Instead, the client should query on the (WhereUsed) collection resource in order to navigate to a specific instance of (WhereUsed) to get the hash key.
Query Parameters
  • This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2

    Format: <attr1>=<val1>,<attr2>=<value2>
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : itemStructures-Component-WhereUsed-item-response
Type: object
Show Source
  • Maximum Length: 80
    An attribute value that indicates how the component quantity is consumed in an assembly. The values include item and lot.
  • A unique identifier of the parent structure.
  • Maximum Length: 240
    An attribute value that represents the item description of a component.
  • Maximum Length: 300
    An attribute value that represents the item number of a component.
  • Maximum Length: 4000
    An attribute value that represents the hierarchical Path of a component item to the root item in a structure.
  • A unique identifier for an Component in a structure.
  • An attribute which value indicates the way effectively is controlled within a structure. The values include Date, Unit Number, or Serial Number.
  • The date and time on which a component in a structure ends.
  • Maximum Length: 30
    Starting Item serial number that a component is effective in a structure. Valid only for serial effective structures.
  • Maximum Length: 30
    Starting Item Unit Number or starting Item Serial Number that a component is effective in a structure. Valid only for unit effective structures.
  • Maximum Length: 250
    An attribute that value provides metadata common to all items that share the category.
  • Maximum Length: 240
    An attribute that defines codes used to control the transaction activity of an item. For example, an item in active status can be customer order enabled.
  • Maximum Length: 80
    An attribute that indicates a grouping of all items of a particular category that share the same set of item attributes, used as a high-level grouping for processes. For example, each account generator item type (such as FA account generator) contains a group of processes for determining how an accounting flexfield code combination is created.
  • Links
  • A name of an organizing unit in the internal or external structure of your enterprise. Organization structures provide the framework for performing legal reporting, financial control, and management reporting.
  • A unique identifier for parent structure.
  • An attribute for the parent of an identifier for a part, material, product or service that is unique as compared with other items by the nature of its attributes.
  • An attribute value which represent the quantity of a component in structure.
  • The date and time on which a component in a structure begins.
  • An attribute which value represents the name of a structure.
  • Maximum Length: 1
    A flag that identifies the root item for the explosion of the structure.
  • Maximum Length: 30
    An attribute value which represents the serial number at the beginning of the end item (or root item) serial number range during which a given record is available.
  • Maximum Length: 30
    An attribute value which represents the Unit number at the beginning of the end item (or root item) unit number range during which a given record is available.
Back to Top